# -*- coding: utf-8 -*-
from setuphelpers import *

app_dir = makepath(programfiles, "Cwrsync x86")
app_path = makepath(app_dir, "rsync.exe")


def install():
    # Specific app values
    package_version = control.version.split("-")[0]
    bin_name_x86 = "cwrsync_%s_x86_free.zip" % package_version
    app_name_dir = "cwrsync_%s_x86_free" % package_version
    # Extracting
    print("Extracting " + bin_name_x86)
    if isdir(app_dir):
        remove_tree(app_dir)
    mkdirs(app_dir)
    unzip((bin_name_x86), target=app_dir, filenames=r"%s\*" % app_name_dir)
    remove_file(bin_name_x86)


def uninstall():
    print("uninstalling cwrsync")
    if isdir(app_dir):
        remove_tree(app_dir)